Skip to main content
DELETE
Delete an app's feature flag

Supported products

Authorizations

hapikey
string
query
required

Path Parameters

appId
integer<int32>
required
flagName
string
required

Response

successful operation

appId
integer<int32>
required

The ID of the app

defaultState
enum<string>
required

The flag state for any portal that doesn't have an override value

Available options:
ABSENT,
OFF,
ON
flagName
string
required

The name of the flag

overrideState
enum<string>

An optional flag value that overrides all others for this flag name and app, including portal-level values

Available options:
ABSENT,
OFF,
ON
Last modified on March 30, 2026